Skip to content

Verify SMS Challenge

Request

To clear a SMS challenge listed in a OTT.

Notes:

  1. User is required to have a verified phone number. See create phone number for more information.
  2. Trigger SMS Challenge is required to be called first.
  3. Since we won't be sending real SMS on sandbox, the OTP Code will always be 111111.
Security
UserToken
Headers
One-Time-Tokenstringrequired

Text value of a OTT.

X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
otpCodestring

6 digit OTP code in text format.

Example:"111111"
curl -i -X POST \
  https://api.wise.com/2026Q4/one-time-token/sms/verify \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'One-Time-Token: string' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "otpCode": "111111"
  }'

Responses

One time token status.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
oneTimeTokenPropertiesobject

Properties of the one time token.

Response
{ "oneTimeTokenProperties": { "oneTimeToken": "9f5f5812-2609-4e48-8418-b64437c0c7cd", "challenges": [], "validity": 3600 } }